Bug 761640 - Remove tray icon option
Remove tray icon option
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denise Dumas
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 13:52 EST by Marina Zhurakhinskaya
Modified: 2015-02-18 08:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:39:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marina Zhurakhinskaya 2011-12-08 13:52:29 EST
Tray icons are deprecated in GNOME 3. Because GNOME 3 has persistent notifications, unseen IRC messages get an icon and are kept in the message tray, so a tray icon is not useful anymore and clutters the tray when there are no unseen messages.
 
"Enable system tray icon" option should be removed in Preferences->Chatting->Alerts dialog and the tray icon is disabled.

Thanks!
Comment 1 Kevin Kofler 2011-12-08 17:22:30 EST
We're already disabling that option by default, unlike upstream. I don't see what the problem is with having that option. GNOME is not the only desktop in the world. If you want a fully GNOME approved XChat with all the options removed, use xchat-gnome, which is already in Fedora. I'm fed up of GNOME continuously trying to impose their design on cross-desktop applications.
Comment 2 Marina Zhurakhinskaya 2011-12-08 17:50:08 EST
Sorry, I should have mentioned that you can check "persistence" capability of the notification server to detect GNOME 3. I'll file the bug upstream too and will link to it here, so if you create a patch, it can be pushed upstream too.

Given that GNOME 3 is the major desktop environment for Fedora, it is important to support it and ensure the best user experience across the board, including programs such as XChat. "Enable system tray icon" option is unnecessary in GNOME 3. I'm in the process of making some screenshots to explain this.
Comment 3 Kevin Kofler 2011-12-08 17:58:36 EST
The option isn't going to kill anyone. I don't understand the point of this, at all.

Now, if Christopher (the primary maintainer of XChat in Fedora) or Remi want to work on a patch as you suggested, I won't stop them (as long as it really only removes the option in GNOME 3 and not everywhere), but I don't see any need to work on this myself.
Comment 4 Christoph Wickert 2011-12-08 18:13:17 EST
(In reply to comment #2)
> Sorry, I should have mentioned that you can check "persistence" capability of
> the notification server to detect GNOME 3. I'll file the bug upstream too and
> will link to it here, so if you create a patch, it can be pushed upstream too.
 
Correct me if I'm wrong, but usually people who have a feature requests submit patches instead of simply requesting them.

> Given that GNOME 3 is the major desktop environment for Fedora, it is important
> to support it and ensure the best user experience across the board, including
> programs such as XChat. "Enable system tray icon" option is unnecessary in
> GNOME 3. I'm in the process of making some screenshots to explain this.

Given that GNOME 3 is the major desktop environment for Fedora, it is important that it follows standards. Unlike persistent notifications, the systray *is* a freedesktop.org standard [1] that is implemented in quite a number of desktop environments (GNOME, KDE, Xfce, LXDE), window managers (awesome, fluxbox, WindowMaker) and applications (alltray, bmpanel2, docker, fbpanel, gnome-panel, kicker, lxpanel, stalonetray, tint2, tktray, xfce4-panel) and many more. Not to mention all applications that offer a tray icon and the fact that there is no counterpart in GNOME because persistent notifications are something completely different.

GNOME abandoning a standard that was largely designed by GNOME people is one thing, but claiming that an option should be removed just because it is deprecated in gnome-shell is a completely different story. Please don't impose your will on others, this already happens way to often in Fedora.

Marina, I am sure it was not your intention, but the fact that you filed this bug speaks volumes about how much GNOME developers care for cross-desktop interoperability.

[1] http://standards.freedesktop.org/systemtray-spec/latest/
Comment 5 hannes 2011-12-13 05:42:57 EST
Please don't remove this option since I (Xfce user) still need an option to enable the tray icon.
Thanks a lot!

live and let live
Comment 8 Fedora End Of Life 2013-04-03 15:17:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 16:54:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 08:39:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.